Donate to e Foundation | Murena handsets with /e/OS | Own a part of Murena! Learn more

Commit 34d60c92 authored by Colin Cross's avatar Colin Cross
Browse files

Use --skip-config --soong-only instead of --skip-make

--skip-make is deprecated because of its odd behavior around the
out/.soong.kati_enabled file.  Replace it with --skip-config --soong-only
instead, which will unambigiously skip running kati.

Bug: 204136549
Test: build/soong/tests/run_integration_tests.sh
Test: build/soong/scripts/build-mainline-modules.sh
Test: build/soong/scripts/build-ndk-prebuilts.sh
Change-Id: I629ee7542687aaafd68eea50346b0cf53eafe1ef
parent 1bc9412f
Loading
Loading
Loading
Loading
+2 −2
Original line number Diff line number Diff line
@@ -15,9 +15,9 @@
# limitations under the License.

echo '==== ERROR: bootstrap.bash & ./soong are obsolete ====' >&2
echo 'Use `m --skip-make` with a standalone OUT_DIR instead.' >&2
echo 'Use `m --soong-only` with a standalone OUT_DIR instead.' >&2
echo 'Without envsetup.sh, use:' >&2
echo '  build/soong/soong_ui.bash --make-mode --skip-make' >&2
echo '  build/soong/soong_ui.bash --make-mode --soong-only' >&2
echo '======================================================' >&2
exit 1
+2 −2
Original line number Diff line number Diff line
@@ -23,10 +23,10 @@ fi
export OUT_DIR=${OUT_DIR:-out}

if [ -e ${OUT_DIR}/soong/.soong.kati_enabled ]; then
  # If ${OUT_DIR} has been created without --skip-make, Soong will create an
  # If ${OUT_DIR} has been created without --soong-only, Soong will create an
  # ${OUT_DIR}/soong/build.ninja that leaves out many targets which are
  # expected to be supplied by the .mk files, and that might cause errors in
  # "m --skip-make" below. We therefore default to a different out dir
  # "m --soong-only" below. We therefore default to a different out dir
  # location in that case.
  AML_OUT_DIR=out/aml
  echo "Avoiding in-make OUT_DIR '${OUT_DIR}' - building in '${AML_OUT_DIR}' instead"
+1 −1
Original line number Diff line number Diff line
@@ -99,7 +99,7 @@ done
export FORCE_BUILD_LLVM_COMPONENTS=true

# Create multi-archs SDKs in a different out directory. The multi-arch script
# uses Soong in --skip-make mode which cannot use the same directory as normal
# uses Soong in --soong-only mode which cannot use the same directory as normal
# mode with make.
export OUT_DIR=${OUT_DIR}/aml
echo_and_run build/soong/scripts/build-aml-prebuilts.sh \
+1 −1
Original line number Diff line number Diff line
@@ -64,7 +64,7 @@ cat > ${SOONG_OUT}/soong.variables << EOF
    "MissingUsesLibraries": ${MISSING_USES_LIBRARIES}
}
EOF
m --skip-make ${SOONG_OUT}/ndk.timestamp
m --soong-only --skip-config ${SOONG_OUT}/ndk.timestamp

if [ -n "${DIST_DIR}" ]; then
    mkdir -p ${DIST_DIR} || true
+2 −2
Original line number Diff line number Diff line
@@ -15,8 +15,8 @@
# limitations under the License.

echo '==== ERROR: bootstrap.bash & ./soong are obsolete ====' >&2
echo 'Use `m --skip-make` with a standalone OUT_DIR instead.' >&2
echo 'Use `m --soong-only` with a standalone OUT_DIR instead.' >&2
echo 'Without envsetup.sh, use:' >&2
echo '  build/soong/soong_ui.bash --make-mode --skip-make' >&2
echo '  build/soong/soong_ui.bash --make-mode --soong-only' >&2
echo '======================================================' >&2
exit 1
Loading